Bug 22953 - Markup warning in OPAC user summary template
Summary: Markup warning in OPAC user summary template
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 16:28 UTC by Owen Leonard
Modified: 2019-06-10 21:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00, 19.05.01


Attachments
Bug 22953: Markup warning in OPAC user summary template (3.73 KB, patch)
2019-05-21 16:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22953: Markup warning in OPAC user summary template (3.79 KB, patch)
2019-05-24 17:40 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22953: Markup warning in OPAC user summary template (3.85 KB, patch)
2019-05-27 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 16:28:11 UTC
If the AllowCheckoutNotes system preference is turned on, validating the user summary page in the OPAC (opac-user.pl) will return warnings:

 - "The name attribute is obsolete. Consider putting an id attribute on the
   nearest container instead."
Comment 1 Owen Leonard 2019-05-21 16:36:01 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-05-24 17:40:06 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 21:02:36 UTC
Created attachment 90128 [details] [review]
Bug 22953: Markup warning in OPAC user summary template

This patch makes a minor markup change to the OPAC user summary template
(opac-user.tt) in order to quiet warnings from the HTML validator. The
obsolete name attribute on two links is removed in favor of class names.
The JavaScript has been modified accordingly.

To reproduce the problem you should have the AllowCheckoutNotes system
preference enabled. Log in to the OPAC as a user who has checkouts and
view the "your summary" page. Run the page through the W3C validation
service: https://validator.w3.org. Either by pasting in the URL for the
search results (if web accessible) or by viewing source, copying, and
pasting into "Validate by Direct Input."

This patch specifically addresses this warning:

 - "The name attribute is obsolete. Consider putting an id attribute on
   the nearest container instead."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Test the process of adding or editing an note on a checkout. It should
work correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-06-03 15:27:44 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-06-10 08:53:56 UTC
Pushed to 19.05.x for 19.05.01
Comment 6 Lucas Gass 2019-06-10 21:10:51 UTC
backported to 18.11.x for 18.11.07